import {lib } from "lib";
let domain = 'https://api-fn.duowan.com'

export default {
    //获取当前赛季商城数据
    getSeasonStoreData(){
        return new Promise((resolve, reject) => {
                wx.request({
                    url: 'http://fn.duowan.com/s/store/currentSeason.json',
                    success: data => {
                        resolve(data.data)
                    },
                    fail: reject
                })
            })
    },
    //获取所有皮肤信息
    getAllSkin () {
        return new Promise((resolve, reject) => {
            wx.request({
                url: `${domain}/static/skin/skins.json?from=weixin`,
                success: data => {
                    let skinData = lib.handleSkinData(data.data);
                    
                    resolve(skinData)
                },
                fail: reject
            })
        })
    },
    //获取皮肤分类信息
    getSkinCateList () {
        return new Promise((resolve, reject) => {
            wx.request({
                url: 'http://fn.duowan.com/s/cateList.json',
                success: data => {
                    resolve(data.data)
                },
                fail: reject
            })
        })
    },
}